{ pkgs
, config
, inputs
, system
, ...
}:
let
  wallpaper = inputs.nix-wallpaper.packages.${pkgs.system}.default.override {
    logoSize = 24;
    preset = "gruvbox-dark-rainbow";
  };
  wallpaperPath = "${wallpaper}/share/wallpapers/nixos-wallpaper.png";
in
{
  imports = [
    ../home-mods/dev
    ../home-mods/firefox
    ../home-mods/plasma
    ../home-mods/virt
  ];

  home = {
    file.".background".source = wallpaperPath;
    username = "tristand";
    homeDirectory = "/home/tristand";

    packages = with pkgs.unstable-pkgs; [
      bitwarden
      brave
      btop
      cavalier
      freetube
      imagemagick
      inkscape
      jellyfin-media-player
      kate
      neofetch
      nextcloud-client
      onlyoffice-bin
      rust-motd
      rustdesk
      tutanota-desktop
      signal-desktop
      thunderbird
      zellij
    ];

    stateVersion = "23.05";
  };
}
